LLMNR-QUERY(1)

NAME
llmnr-query - LLMNR (RFC 4795) query tool

SYNOPSIS
llmnr-query [options] name

DESCRIPTION
Send LLMNR queries to the LLMNR multicast address (224.0.0.252 for IPv4, ff02:0:0:0:0:0:1:3 for IPv6). name specifies the hostname to query.

OPTIONS

-c <num>, --count <num>
    Number of queries to send (default: 1).

-d <num>, --id <num>
    Set LLMNR transaction id (default: 0).

-i <num>, --interval <num>
    Set interval between queries in milliseconds (default: 500).

-I <dev>, --interface <dev>
    Send multicast query over specified interface, e.g. eth0, wlan0.

-t <num>, --timeout <num>
    Set time to wait for reply in milliseconds (default: 1000).

-T <type>, --type <type>
    Set query type. Must be one of A, AAAA, ANY (default: ANY).

-6, --ipv6
    Send queries over IPv6.

-h, --help
    Show usage information.

-V, --version
    Show llmnr-query version.

SEE ALSO
llmnrd(8)

AUTHOR
Tobias Klauser <tklauser@distanz.ch>